Subject: Running Bash Scripts?
From: [email-masked] ("Paul McDermott")

9 Mar 1997 20:35:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Gnu-Win32 Mailing List" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

When I first run bash in a DOS box in Windows 95, and run a bash script, I
get a no such file of directory error. If I then run a sub-shell by typing
"bash", the script will run fine. (see the example below). Does anyone know
why?

1:# cd /windows/desktop/example
2:/windows/desktop/example# ls -al test5
-rw-r--r--   1 500      everyone       13 Mar 09 19:08 test5
3:/windows/desktop/example# cat test5
echo Hi
ls
4:/windows/desktop/example# test5
BASH.EXE: ./test5: No such file or directory
5:/windows/desktop/example# bash
1:/windows/desktop/example# test5
Hi
test5
2:/windows/desktop/example# exit
exit
6:/windows/desktop/example#

-----
Paul McDermott, Columbia Business School, New York
Tel: (212) 665-7121
International: +1-212-665-7121
Email: [email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".